package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2019/9/10
 */
public class TeacherForCDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 头像
     */
    private String imgUrl;
    /**
     * 姓名
     */
    private String name;
    /**
     * 批改/匹配作业数
     */
    private String feedbackCount;
    /**
     * 质检作业数
     */
    private String checkCount;
    /**
     * 状态(1:在线;2:离线;3:已封号)
     */
    private int status;
    /**
     * 封号时间
     */
    private String bannedTime;
    /**
     * 老师标签（1：重点，2：放心，3：一般）
     */
    private int tag;

    public int getTag() {
        return tag;
    }

    public void setTag(int tag) {
        this.tag = tag;
    }

    public String getBannedTime() {
        return bannedTime;
    }

    public void setBannedTime(String bannedTime) {
        this.bannedTime = bannedTime;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFeedbackCount() {
        return feedbackCount;
    }

    public void setFeedbackCount(String feedbackCount) {
        this.feedbackCount = feedbackCount;
    }

    public String getCheckCount() {
        return checkCount;
    }

    public void setCheckCount(String checkCount) {
        this.checkCount = checkCount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
